define HAVE_GAI_STRERROR for Mac OS X Xcode builds
authorAlexander Barton <alex@barton.de>
Sat, 24 Dec 2011 12:16:38 +0000 (13:16 +0100)
committerAlexander Barton <alex@barton.de>
Sat, 24 Dec 2011 12:16:38 +0000 (13:16 +0100)
commite1315f30fd2e1984907dc42cf1fd0370354d4f55
tree21a706c1a12e57934b9383fcaa92c81f20721609
parent0a85c58878a594ed0b0767771b128d4e288057cf
define HAVE_GAI_STRERROR for Mac OS X Xcode builds

On Mac OS X 10.7 Lion, this fixes

  In file included from .../contrib/MacOSX/../../src/ngircd/client.c:28:
   /Developer/SDKs/MacOSX10.7.sdk/usr/include/netdb.h:272:13:
   error: expected identifier or '('
contrib/MacOSX/config.h